*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
.wrapper{
    flex-wrap: wrap;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
    gap: 2rem;
    background-color: #663dff;
    background-image: linear-gradient(319deg, #663dff 0%, #aa00ff 37%, #cc4499 100%);

}
.input-area{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.check-op{
    display: flex;
    flex-direction: column;
}
.show-area{
    
    display: flex;
    justify-content: space-between;
    gap: 5rem;
    height:2.5rem ;
    width: 4rem;
}
.text-area{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: 400;
    color:white;
    font-size: 1.3rem;
}

.copy-icon{
    width: 20px;
    height: 20px;
}
.copy-icon:hover{
    cursor: pointer;
}
.heading{
    border-radius: 10px;
    padding-left: 34px;
    padding-top: 14px;
    font-weight: 500;
    font-size: 1.2rem;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: white;
    background-color:#7550fb;
    height: 3rem;
    width: 15rem;
}
.show-len{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: 400;
    color:white;
    font-size: 1.3rem;

}
.btn-gen{
    background-color: rgb(47, 18, 47);
    width: 200px;
    height: 30px;
    padding-left: 2.3rem;
    padding-top: 0.4rem;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-weight: 400;
    color:rgb(228, 228, 101);
    border-radius: 5px;
    box-shadow: 0px 4px 0px 1px yellow;
    transition: 0.1s linear;
    user-select: none;
}
.btn-gen:hover{
    cursor: pointer;
}
.active-btn{
    transform: translateY(4px);
    box-shadow: 0 0;
}
.slider-1::-webkit-slider-thumb{
    background-color: #08070a;
}
.check{
    appearance: none;
    position: relative;
    border: solid 1px cyan;
    height: 15px;
    width: 15px;
    border-radius: 2px;
}
.check:checked{
    background-color: cyan;
}
.check:checked::before{
    content: "✔";
    position: absolute;
    left: 0.1rem;
    top: -0.1rem;
    
}
.slider-1{
    appearance: none;
    height: 5px;
    width: 100%;
    background: rgb(129, 21, 129);
    border-radius: 20px;
}
.slider-1::-webkit-slider-thumb{
    
    appearance: none;
    height: 1rem;
    width: 1rem;
    border-radius: 50%;
    background-color: yellow;
    box-shadow: 0 0 25px 5px rgb(227, 227, 83);
}




